<?php
/**
 * Email Header
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/email-header.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates\Emails
 * @version 4.0.0
 */
 
    // Call the global WC_Email object
    global $email; 
    
    // Get an instance of the WC_Order object
    $order = $email->object;

    if ( ! defined( 'ABSPATH' ) ) {
    	exit; // Exit if accessed directly
    }

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>" />
		<title><?php echo get_bloginfo( 'name', 'display' ); ?></title>
	</head>
	<body <?php echo is_rtl() ? 'rightmargin' : 'leftmargin'; ?>="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
		<div id="wrapper" dir="<?php echo is_rtl() ? 'rtl' : 'ltr'; ?>">
			<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
				<tr>
					<td align="center" valign="top">
						<div id="template_header_image">
						    <?php 
								if ( $img = get_option( 'woocommerce_email_header_image'  ) ) {
									echo '<p style="margin-top:0;">';
									echo '<img src="' . esc_url( $img ) . '" alt="' . get_bloginfo( 'name', 'display' ) . '" width="100%" height="auto" />';
									if( $order->get_status() == 'completed' ) {
										if( woo_exists_in_cart($order->get_id(), 8947) || woo_exists_in_cart($order->get_id(), 8934) ) {
											echo '<img src="https://petmas.masfinca.com/wp-content/uploads/2020/02/mail-donaciones-header.jpg" width="100%" height="auto" />';
										} else if( woo_exists_in_cart($order->get_id(), 6880) ) {
											echo '<img src="https://petmas.masfinca.com/wp-content/uploads/2020/01/agenda-cita-veterinaria.jpg" width="100%" height="auto" />';
										}
                                    }
									echo '</p>';
								}
							?>
						</div>
						<table border="0" cellpadding="0" cellspacing="0" width="600" id="template_container">
							<tr>
								<td align="center" valign="top">
									<!-- Header -->
									<table border="0" cellpadding="0" cellspacing="0" width="600" id="template_header">
										<tr>
											<td id="header_wrapper">
    											<?php // echo '<h1>' . $email_heading . '</h1>'; ?>
											</td>
										</tr>
									</table>
									<!-- End Header -->
								</td>
							</tr>
							<tr>
								<td align="center" valign="top">
									<!-- Body -->
									<table border="0" cellpadding="0" cellspacing="0" width="600" id="template_body">
										<tr>
											<td valign="top" id="body_content">
												<!-- Content -->
												<table border="0" cellpadding="20" cellspacing="0" width="100%">
													<tr>
														<td valign="top">
															<div id="body_content_inner">