'use strict'

jQuery(function($) {

	$(document).ready(function() {
	    
	    if( $('.cross-sells').length > 0 ) {
	        create_cross_sells_carousel();
	    }

		// Set max height to post grid text
		if( $('.elementor-grid-item.type-post').length > 0 ) {
			set_max_height_to_post_grid();
		}

		// Add svg to background titles
		if( $('.diagonal__title .elementor-heading-title').length > 0 ) {
			add_svg_to_diagonal_titles();
		}

		// Set product carousels
		if( $('.carousel__products').length > 0 ) {
			create_home_product_carousels();
		}

		// Set brands carousels
		if( $('.brands__carousel').length > 0 ) {
			create_brands_carousels();
		}

	});

	$(window).on('resize', function() {
		resize_products_carousels_height();
	});

	$('.header__searcher-btn').on('click', function() {
		let window_width = $(window).width();
		console.log(window_width)
		if( window_width > 300 ) {
			$('.header__searcher.desktop').toggleClass('showed');
		} else {
			$('.column__left').slideToggle();
		}
	})

	$('.news .swiper-slide').each(function() {
		let title = $(this).find('.elementor-testimonial__title');
		if( !!title.text() ) {
			let link = title.text();
			if( link.indexOf('http') >= 0 ) {
				$(this).append(`<a href="${link}" target="_blank" class="news__custom-link"></a>`);
			}
		}
	});

	const set_max_height_to_post_grid = () => {
		let max_height = 0;
		$('.elementor-grid-item.type-post .elementor-post__text').each(function() {
		    let height = $(this).height();
		    if( height > max_height ) max_height = height;
		});
		$('.elementor-grid-item.type-post .elementor-post__text').css({ 'height': max_height + 'px' });
	}

	const add_svg_to_diagonal_titles = () => {
		$('.diagonal__title .elementor-heading-title').append(php.svg_titles);
	}

	const create_brands_carousels = () => {
		$('.brands__carousel .terms__list').slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 300,
			slidesToShow: 6,
			slidesToScroll: 1,
			responsive: [{
				breakpoint: 960,
				settings: {
					slidesToShow: 3
				}
			}]
		})
	}
	
	const create_cross_sells_carousel = function() {
	    $('.cross-sells ul.products').slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 300,
			slidesToShow: 2,
			slidesToScroll: 1,
			responsive: [{
				breakpoint: 960,
				settings: {
					slidesToShow: 2
				}
			}]
		})
		
		let min_height = 0;
        $('.cross-sells .woocommerce-loop-product__title').each(function() {
            if( $(this).height() > min_height ) {
                min_height = $(this).height();
            }
        });
        $('.cross-sells .woocommerce-loop-product__title').css('minHeight', min_height + 'px');
	}

	const resize_products_carousels_height = function () {

		if( $(window).width() < 1024 ) return false;

		setTimeout(function() {
			$('.pet__type .products.slick-slider').each(function() {
				let max_height = 0;

				$(this).find('.product').each(function() {
					let this_height = (90 / 100) * $(this).height();
					this_height += 40;
					// console.log( this_height )
					if( this_height > max_height ) {
						max_height = this_height;
					}
				});

				// console.log(max_height)

				$(this).css({ 'height': max_height + 20 + 'px' })
			});
		}, 200)
	}
	
	const create_home_product_carousels = () => {
		$('.carousel__products.other__carousel ul.products').slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 300,
			slidesToShow: 4,
			slidesToScroll: 1,
			responsive: [{
				breakpoint: 960,
				settings: {
					slidesToShow: 2
				}
			}]
		})

		$('.carousel__products.pet__type ul.products').slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 300,
			slidesToShow: 4,
			slidesToScroll: 1,
			responsive: [{
				breakpoint: 768,
				settings: {
					slidesToShow: 2
				}
			}]
		})

		resize_products_carousels_height();
	}

});