jQuery(function($){
    
    jQuery( document.body ).on( 'added_to_cart removed_from_cart updated_cart_totals', function(){
		woo_set_cart_total_count();
	});
	
    $(document).ready(function() {
        
        woo_set_cart_total_count();

        if( $('ul.products').length > 0 ) {
            $('ul.products').each(function() {
                
                let min_height = 0;
                
                $(this).find('.woocommerce-loop-product__title').each(function() {
                    if( $(this).height() > min_height ) {
                        min_height = $(this).height();
                    }
                });
                
                $(this).find('.woocommerce-loop-product__title').css('minHeight', min_height + 'px');
                
            });
            // woo_set_prices_loop_position();
        }
        
        $('.view__filters-btn').on('click', function() {
            $('.filter__area').slideToggle('slow');
        });
        
        $('ul.products li.product .woocommerce-LoopProduct-link').each(function() {
			
            let image = $(this).find('.attachment-woocommerce_thumbnail');
			let thumb;
			
			if( image.length > 0 ) {
				thumb = image;
			} else {
				thumb = $(this).find('.woocommerce-placeholder')
			}
			
			$(this).prepend('<div class="products__thumb"></div>');
			$(this).find('.products__thumb').append(thumb);
			
        });
        
    });

    function woo_set_prices_loop_position() {

        $('ul.products li.product').each(function() {
            let price = $(this).find('.price');
            let button = $(this).find('.button');

            if( price.length > 0 && button.length > 0 ) {
                $(button).before(price);
            } else if( price.length > 0 && button.length < 1 ) {
                $(this).append(price);
            }
        });
    }
    
    function woo_set_cart_total_count() {
		$.ajax({
			'method': 'POST',
			'url': php.ajax_url,
			'data': {
				'action': 'woo_get_cart_total_items'
			}
		}).done((resp) => {
			console.log(resp)
			
			if( $('.header__cart .cart-number').length < 1 ) {
				$('.header__cart .elementor-icon').append('<span class="cart-number">' + resp + '</span>')
			} else {
				$('.header__cart .cart-number').html(resp)
			}
		})
	}
});