<?php
    
if( !defined('STYLESHEET_URI') )
    define('STYLESHEET_URI', get_stylesheet_directory_uri());

if( !defined('THEME_NS') )
    define('THEME_NS', 'petmas');

// Include functions for custom taxonomies
require_once 'functions/custom_taxonomies.php';

// Include menu positions functions
require_once 'functions/menu_positions.php';

// Include enqueue scripts functions
require_once 'functions/enqueue_scripts.php';

// Include woocommerce functions
require_once 'functions/woocommerce.php';
require_once 'includes/woocommerce.php';

// Include woocommerce archive header
require_once 'includes/product-archive-header.php';

// Include woocommerce product discount percentage
require_once 'includes/discount-percentage.php';

// Include woocommerce product outstock label
require_once 'includes/outstock-label.php';

// Include woocommerce brands custom loop
require_once 'includes/brands.php';

// Include woocommerce brands custom loop
require_once 'includes/sale-products/sale-products.php';

// Include woocommerce brands custom loop
require_once 'includes/pickup/functions.php';
require_once 'includes/pickup/add-custom-field.php';
// require_once 'includes/pickup/send-coupon-mail.php';

// Desactivar gutenberg
add_filter('use_block_editor_for_post_type', '__return_false', 100);

// Activar mimes para subir archivos
add_filter( 'upload_mimes', 'custom_upload_mimes' );
function custom_upload_mimes( $existing_mimes = array() ) {
	$existing_mimes['svg'] = 'image/svg+xml';
	$existing_mimes['woff'] = 'font/woff';
	$existing_mimes['woff2'] = 'font/woff2';
	$existing_mimes['eot'] = 'font/eot';
	$existing_mimes['ttf'] = 'font/ttf';
	
	return $existing_mimes;
}

// Disable XMLRCP functions
add_filter( 'xmlrpc_methods', function( $methods ) {
   unset( $methods['pingback.ping'] );
   return $methods;
});

// Multimedia editor
function hs_image_editor_default_to_gd( $editors ) {
	$gd_editor = 'WP_Image_Editor_GD';
	$editors = array_diff( $editors, array( $gd_editor ) );
	array_unshift( $editors, $gd_editor );
	return $editors;
}
add_filter( 'wp_image_editors', 'hs_image_editor_default_to_gd' );


// Hide "Orden por defecto" from woocommerce ordering
function custom_woocommerce_items_orderby( $sortby ) {
    unset($sortby['menu_order']);
    return $sortby;
}
add_filter( 'woocommerce_default_catalog_orderby_options', 'custom_woocommerce_items_orderby' );
add_filter( 'woocommerce_catalog_orderby', 'custom_woocommerce_items_orderby' );

/* Cambiar imagen que aparece en wp-login */
function woo_change_wordpress_logo_in_login_templates() { 
	$css = '';
	$css .= '<style type="text/css">';
	$css .= '#login h1 a, .login h1 a { background-image: url(https://petmas.masfinca.com/wp-content/uploads/2021/06/petmas-masfinca.svg) !important; background-size: contain !important; height: 120px !important; width: 100% !important; }';
	$css .= '.login #login_error, .login .message, .login .success { border-color: #e84043 !important; }';
	$css .= '.wp-core-ui .button-primary { background-color: #e84043 !important; background: #e84043 !important; border-color: #e84043 !important; }';
	$css .= '.wp-core-ui .button-primary.focus, .wp-core-ui .button-primary.hover, .wp-core-ui .button-primary:focus, .wp-core-ui .button-primary:hover { background-color: #bf2729 !important; background: #bf2729 !important; border-color: #bf2729 !important; }';
	$css .= '.login form .input, .login form input[type=checkbox], .login input[type=text] { border-color: #e84043 !important; box-shadow: 0 0 0 1px #e84043 !important; }';
	$css .= '</style>';
	
	echo $css;
}

/* desde aca debo desactivar Dia SIN IVA */

add_action( 'login_enqueue_scripts', 'woo_change_wordpress_logo_in_login_templates' );

function change_price_from_without_iva_day($price){
	
	if( has_term(array(2979), 'product_cat', get_the_ID()) ) {
		$price .= '<small class="woocommerce-price-suffix">Exento de IVA</small>';
	} else {
		$price .= '<small class="woocommerce-price-suffix">IVA incluido</small>';
	}
  
	return $price;
}

add_filter('woocommerce_get_price_html', 'change_price_from_without_iva_day');

add_filter( 'woocommerce_cart_totals_order_total_html', 'dia_sin_iva_total_del_pedido_sin_impuestos', 10, 1 );
function dia_sin_iva_total_del_pedido_sin_impuestos( $value ) {
$value = '<strong>' . WC()->cart->get_total() . '</strong> ';

// Always return $value
return $value;
}

// add_action('woocommerce_before_add_to_cart_form', 'custom_message_after_cart_form');
function custom_message_after_cart_form() {
    echo 'Mensaje!';
}

add_shortcode('custom_wc_before_main_content', 'print_custom_wc_before_main_content');
function print_custom_wc_before_main_content() {
    return do_action('custom_before_main_content');
}