<?php 

if( !function_exists('create_brands_taxonomy') ) {
	add_action( 'init', 'create_brands_taxonomy', 0 );
	function create_brands_taxonomy() {

		// Add new taxonomy, make it hierarchical like categories
		//first do the translations part for GUI

		$labels = array(
			'name' => _x( 'Marca', 'taxonomy general name' ),
			'singular_name' => _x( 'Marca', 'taxonomy singular name' ),
			'search_items' =>  __( 'Buscar marca' ),
			'all_items' => __( 'Todas las marca' ),
			'parent_item' => __( 'Marca padre' ),
			'parent_item_colon' => __( 'Marca padre:' ),
			'edit_item' => __( 'Editar marca' ), 
			'update_item' => __( 'Actualizar marca' ),
			'add_new_item' => __( 'A&ntilde;adir marca' ),
			'new_item_name' => __( 'Nuevo nombre de marca' ),
			'menu_name' => __( 'Marca' ),
		); 	

		// Now register the taxonomy

		register_taxonomy('marca', array('product'), array(
			'hierarchical' => true,
			'labels' => $labels,
			'show_ui' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'marca' ),
		));

	}
}

if( !function_exists('create_pet_type_taxonomy') ) {
	add_action( 'init', 'create_pet_type_taxonomy', 0 );
	function create_pet_type_taxonomy() {

		// Add new taxonomy, make it hierarchical like categories
		//first do the translations part for GUI

		$labels = array(
			'name' => _x( 'Tipo de mascota', 'taxonomy general name' ),
			'singular_name' => _x( 'Tipo de mascota', 'taxonomy singular name' ),
			'search_items' =>  __( 'Buscar tipo de mascota' ),
			'all_items' => __( 'Todos los tipo de mascota' ),
			'parent_item' => __( 'Tipo de mascota padre' ),
			'parent_item_colon' => __( 'Tipo de mascota padre:' ),
			'edit_item' => __( 'Editar tipo de mascota' ), 
			'update_item' => __( 'Actualizar tipo de mascota' ),
			'add_new_item' => __( 'A&ntilde;adir tipo de mascota' ),
			'new_item_name' => __( 'Nuevo nombre de tipo de mascota' ),
			'menu_name' => __( 'Tipo de mascota' ),
		); 	

		// Now register the taxonomy

		register_taxonomy('tipo-de-mascota', array('product'), array(
			'hierarchical' => true,
			'labels' => $labels,
			'show_ui' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'tipo-de-mascota' ),
		));

	}
}