<?php

// Agregar los estilos y scripts
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles', 100 );
function my_theme_enqueue_styles() {

    $js_data_passed = array(
        'ajax_url' => admin_url( 'admin-ajax.php' ),
        'theme_url' => STYLESHEET_URI . '/assets',
        'svg_titles' => file_get_contents(__DIR__ . '/../assets/svg_background.php')
    );

    // Parent and child theme styles
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style', STYLESHEET_URI . '/style.css', array( 'parent-style' ), '1.0.0' );

    // Slick slider
    wp_enqueue_script( 'child-slick-js', STYLESHEET_URI . '/libs/slickslider/slick.min.js', array(), '1.0.0', true );
    wp_enqueue_style( 'child-slick-theme', STYLESHEET_URI . '/libs/slickslider/slick-theme.css', array(), '1.0.0' );
    wp_enqueue_style( 'child-slick-css', STYLESHEET_URI . '/libs/slickslider/slick.css', array(), '1.0.0' );
    
    // Custom styles
    wp_enqueue_style( 'child-main', STYLESHEET_URI . '/assets/css/main.css', array(), '1.1.4' );
    wp_enqueue_style( 'child-woocommerce', STYLESHEET_URI . '/assets/css/woocommerce.css', array(), '1.2.3' );
    wp_enqueue_style( 'child-responsive', STYLESHEET_URI . '/assets/css/responsive.css', '', '1.2.6' );

    // Custom scripts
    wp_enqueue_script( 'child-woocommerce-js', STYLESHEET_URI . '/assets/js/woocommerce.js', array(), '1.0.41', true );
    wp_localize_script( 'child-woocommerce-js', 'php', $js_data_passed);
    wp_enqueue_script( 'child-quantity-input-js', STYLESHEET_URI . '/assets/js/quantity-input.js', array(), '1.0.0', true );
    wp_enqueue_script( 'child-main-js', STYLESHEET_URI . '/assets/js/main.js', array(), '1.0.5', true );
    wp_localize_script( 'child-main-js', 'php', $js_data_passed);

}