<?php

add_action('wp_ajax_nopriv_woo_get_cart_total_items', 'woo_get_cart_total_items_callback');
add_action('wp_ajax_woo_get_cart_total_items', 'woo_get_cart_total_items_callback');
function woo_get_cart_total_items_callback(){
  global $woocommerce;
  wp_send_json($woocommerce->cart->cart_contents_count);
}

add_filter('the_title', 'the_blog_title_with_author', 10, 2);
function the_blog_title_with_author($title, $id) {
	global $post;
    if( $post->post_type == 'product' && !is_admin() )
        $title = mb_strtolower($title, 'UTF-8');
    return $title;
}

// Cambiar el texto del boton de produto por el icono del carrito
add_filter( 'woocommerce_product_add_to_cart_text', 'woocommerce_custom_product_add_to_cart_text' );  
add_filter( 'woocommerce_product_single_add_to_cart_text', 'woocommerce_custom_product_add_to_cart_text' ); 
function woocommerce_custom_product_add_to_cart_text() {
    return 'Comprar';
}

// Cambiar el texto del label de "Oferta"
add_filter('woocommerce_sale_flash', 'woo_custom_sale_label', 10, 3);
function woo_custom_sale_label($text, $post, $_product) {
    return '<span class="onsale">' . __('Oferta', THEME_NS) . '</span>';
}

// Shortcode para mostrar el dropdown de ordenamiento de taxonomias
add_shortcode('wc_sorting','woocommerce_catalog_ordering');

// Titulo de la pagina de archivo
add_shortcode('archive_title', 'woo_archive_title');
function woo_archive_title() {

	$category = get_queried_object();
	
	if( !isset( $category->taxonomy ) ) {
		return false;
	}
	
	$field_id = 'product_cat_' . $category->term_id;
	$title = ( get_field('titulo-archivo', $field_id) ) ? get_field('titulo-archivo', $field_id) : $category->name;
	
	return '<h2 class="archive__title">' . $title . '</h2>';

}

add_filter('woocommerce_get_price_html', 'woo_product_price_prefix', 10, 2);
function woo_product_price_prefix( $price, $product ) {
    
    if( is_admin() ) {
		return $price;
	}
	
    // $new_price .= '<span class="price-prefix">' . __('Desde: ', THEME_NS) . '</span>';
	// $new_price .= '<span class="price__completed">' . $price . '</span>';

	return $price;
}

// Translate search results string

add_filter( 'gettext', 'woo_change_search_results_page_title' );
function woo_change_search_results_page_title( $translated_text ) {
 
    if ( $translated_text === 'Search Results for: %s' ) {
    	$translated_text = 'Resultados de búsqueda para: %s';
    } else if ( $translated_text === 'Unselect all' ) {
    	$translated_text = 'Limpiar';
    }
    return $translated_text;
}

add_filter( 'woocommerce_csv_product_import_mapping_options', 'add_brand_column_to_importer' );
function add_brand_column_to_importer( $options ) {
	// column slug => column name
	$options['marca'] = 'Marca';
	return $options;
}

add_filter( 'woocommerce_csv_product_import_mapping_default_columns', 'add_brand_column_to_mapping_screen' );
function add_brand_column_to_mapping_screen( $columns ) {
	// potential column name => column slug
	$columns['Marca'] = 'marca';
	$columns['marca'] = 'marca';
	return $columns;
}

add_filter( 'woocommerce_product_import_inserted_product_object', 'woo_add_custom_brand', 10, 2 );
function woo_add_custom_brand( $product, $data ) {
	// set a variable with your custom taxonomy slug
	$marca = 'marca';

	if ( is_a( $product, 'WC_Product' ) ) {
		if( ! empty( $data[ $marca ] ) ) {
			$product->save();
			$marca_values = $data[ $marca ];
			$marca_values = explode(",", $marca_values);
			$terms = array();
			foreach($marca_values as $marca_value){
	    		if(!get_term_by('name', $marca_value, $marca)){
	    			$marca_args= array(
	        			'cat_name' => $marca_value,
	        			'taxonomy' => $marca,
	    			);
	    			$marca_value_cat = wp_insert_category($marca_args);
	    			array_push($terms, $marca_value_cat);
	    		}else{
	    			$marca_value_cat = get_term_by('name', $marca_value, $marca)->term_id;
	    			array_push($terms, $marca_value_cat);
	    		}
			}
			wp_set_object_terms( $product->get_id(),  $terms, $marca );
		}
	}
	return $product;
}

function my_cart_crosssell_ids( $cross_sells, $cart ) {

    // Set emtpy array
    $product_cats_ids = array(
        351, // Alimento humedo para gatos
        617, // Alimeto humedo para perros
        604, // Accesorios para gatos
        607, // Accesorios para perros,
        1013, // Juguetes para perros
        1089, // Juguetes para gatos
        407, // Farmacia para perros
        436, // Farmacia para gatos
    );
    $product_cats_ids_unique = array();

    // Not empty
    if ( !empty( $product_cats_ids ) ) {
        // Removes duplicate values
        $product_cats_ids_unique = array_unique( $product_cats_ids, SORT_REGULAR );

        // Get product id(s) from a certain category, by category-id
        $product_ids_from_cats_ids = get_posts( array(
            'post_type' => 'product',
            'numberposts' => 12,
            'post_status' => 'publish',
            'fields' => 'ids',
            'meta_query'    => array(
                'key'     => '_stock_status',
                'value'   => 'outofstock',
                'compare' => '!='
            ),
            'tax_query' => array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'id',
                    'terms' => $product_cats_ids_unique,
                    'operator' => 'IN',
                )
            ),
        ) );

        // Removes duplicate values
        $cross_sells = array_unique( $product_ids_from_cats_ids, SORT_REGULAR );
    }

    return $cross_sells;
}
add_filter( 'woocommerce_cart_crosssell_ids', 'my_cart_crosssell_ids', 10, 2 );