<?php

add_shortcode('marcas', 'woo_get_custom_brands');
function woo_get_custom_brands( $atts ) {
	$args = array(
		'taxonomy'   => 'marca',
		'hide_empty' => false,
	);

	if( isset( $atts['tipo-mascota'] ) ) {
		$args['meta_query'] = array(
			array(
				'key'       => 'tipo-mascota',
				'value'     => $atts['tipo-mascota'],
				'compare'   => 'LIKE'
			)
		);
	}

	$my_brands = get_terms($args);

	$html = '<div class="terms__list">';

	foreach( $my_brands as $brand ) {
		// The $term is an object, so we don't need to specify the $taxonomy.
	    $term_link = get_term_link( $brand );
	    
	    // If there was an error, continue to the next term.
	    if ( is_wp_error( $term_link ) ) {
	        continue;
	    }

	    $field_id = 'marca_' . $brand->term_id;
	    $logo = ( get_field('logo', $field_id) ) ? get_field('logo', $field_id) : '';

		$html .= '<div class="term__item">';
		$html .= '<a href="' . esc_url( $term_link ) . '" class="term__item-link">';
		$html .= '<img src="' . $logo . '" class="term__item-logo" />';
		$html .= '</a>';
		$html .= '</div>';
	}

	$html .= '</div>';

	return $html;
}