<?php 

if( !function_exists('woo_get_custom_discount_label') ) {
	function woo_get_custom_discount_label( $percentage ) {
		$content = '<span class="custom-discount__label">';
		$content .= '-' . $percentage . '%';
		$content .= '</span>';
		return $content;
	}
}

if( !function_exists('woo_get_custom_discount_percentage') ) {
	function woo_get_custom_discount_percentage( $product ) {

		$percentage = 0;
		$regular_price = 0;
		$sale_price = 0;

		switch ( $product->get_type() ) {

			// If products is variable
			case 'variable':
				$variations = $product->get_available_variations();

				for ($j = 0; $j < count($variations); $j++) :

					$variation = wc_get_product($variations[$j]['variation_id']);
					if ( $variation->is_on_sale() ) :
					    
						// Get regular price
						$regular_price = is_numeric($variation->get_regular_price()) ? $variation->get_regular_price() : intval( $variation->get_regular_price() );

						// Get sales price
						$sale_price = is_numeric($variation->get_sale_price()) ? $variation->get_sale_price() : intval( $variation->get_sale_price() );

						break;
					endif;

				endfor;

			break;

			// If product is simple
			case 'simple':

				// Get regular price
				$regular_price = is_numeric($product->get_regular_price()) ? $product->get_regular_price() : intval( $product->get_regular_price() );

				// Get sales price
				$sale_price = is_numeric($product->get_sale_price()) ? $product->get_sale_price() : intval( $product->get_sale_price() );

			break;
		}
		
	if( $sale_price > 0 ) {
			$percentage = round(100 - ($sale_price / $regular_price * 100));
		}
		return $percentage;
		
		

	}
}

if( !function_exists('woo_add_discount_custom_label') ) {

	// Add custom discount label in products loop
	add_action('woocommerce_before_shop_loop_item', 'woo_add_discount_custom_label');
	function woo_add_discount_custom_label() {

		global $product;
		$percentage = woo_get_custom_discount_percentage($product);
        
		if( $percentage > 0 ) {
		echo woo_get_custom_discount_label( $percentage );
		}
		
		// Wishlist
        echo do_shortcode('[yith_wcwl_add_to_wishlist]');

	}

	// Add custom discount label in single product page before sale flash
	add_filter( 'woocommerce_sale_flash', 'woo_add_discount_custom_label_to_sale_flash', 10, 3 );
	function woo_add_discount_custom_label_to_sale_flash( $sale_flas_html, $post, $product ) { 
	    
	    global $product;
		$percentage = woo_get_custom_discount_percentage($product);

		$html = '';
        
		if( $percentage > 0 ) {
			$html .= woo_get_custom_discount_label( $percentage );
		}
		
		// Wishlist
        $html .= do_shortcode('[yith_wcwl_add_to_wishlist]');

		$html .= $sale_flas_html;

	    return $html;
	}
}