<?php 

	add_action( 'woocommerce_after_shipping_rate', 'carrier_custom_fields', 20, 2 );
	function carrier_custom_fields( $method, $index ) {

	    $customer_carrier_method = '10898';

	    if( $method->id != $customer_carrier_method ) return; // Only display for "local_pickup"

	    $chosen_method_id = WC()->session->chosen_shipping_methods[ $index ];

	    // If the chosen shipping method is 'legacy_local_pickup' we display
	    if($chosen_method_id == $customer_carrier_method ):

		    $options = array(
		    		"" => "Selecciona una tienda",
		    		"San Lucas, El Poblado - Calle 20 Sur #25 B -150 Mall Trivento" => "San Lucas, El Poblado - Calle 20 Sur #25 B -150 Mall Trivento",
		    		"Centro Comercial Viva Laureles - Cra. 81 #37-100" => "Centro Comercial Viva Laureles - Cra. 81 #37-100",
		    		"Central Mayorista - Calle 85 #48-01 Bloque 30, Local 2" => "Central Mayorista Calle 85 #48-01 Bloque 30, Local 2",
		    		"La 80 - Calle 30A #81 - 70 Interior 102 Bomba Terpel" => "La 80 - Calle 30A #81 - 70 Interior 102 Bomba Terpel",
		    		"Envigado - Cra. 43a # 27 a Sur-81" => "Envigado - Cra. 43a # 27 a Sur-81",
		    	);

		    echo '<div class="masfinca-pickup">';

		    woocommerce_form_field( '_masfinca_store' , array(
		        'type'          => 'select',
		        'class'         => array('form-row-wide carrier-name'),
		        'required'      => true,
		        'placeholder'   => 'Seleccione una tienda',
		        'options'		=> $options
		    ), WC()->checkout->get_value( '_masfinca_store' ));

		    echo '</div>';
		    
	    else:
	        
	        foreach( WC()->cart->get_applied_coupons() as $coupon_code ){
    		    $coupon = new WC_Coupon($coupon_code);
    		    $coupon_shipping_method = get_post_meta( $coupon->id, 'shipping_method', true );
    		    if( $coupon_shipping_method == 'masfinca_pickup' ) {
    		        WC()->cart->remove_coupon( $coupon_code );
    		         echo '<script type="text/javascript">
                                jQuery(function($){
                                    setTimeout(function() {
                                        jQuery("tr.cart-discount").remove()
                                    }, 750)
                                });
                          </script>';    
    		    }
            }
            
            WC()->cart->calculate_totals();

	    endif;
	}
	
	add_action('woocommerce_applied_coupon', 'validate_shipping_after_checkout_data_updated');
    function validate_shipping_after_checkout_data_updated( ) {
        global $woocommerce;
        
        $customer_carrier_method = '229';
        $chosen_method_id = WC()->session->chosen_shipping_methods[ 0 ];

	    // If the chosen shipping method is 'legacy_local_pickup' we display
	    if($chosen_method_id != $customer_carrier_method ) :
            foreach( WC()->cart->get_applied_coupons() as $coupon_code ){
    		    $coupon = new WC_Coupon($coupon_code);
    		    $coupon_shipping_method = get_post_meta( $coupon->id, 'shipping_method', true );
    		    if( $coupon_shipping_method == 'masfinca_pickup' ) {
    		        WC()->cart->remove_coupon( $coupon_code );
    		        
    	            wc_clear_notices();
    	            wc_add_notice( 'Este cupón no es válido para el metodo de envío seleccionado.', 'error' );
    	            
    	            wc_print_notices(); 
    	            
    	            echo '<script type="text/javascript">
                                jQuery(function($){
                                    jQuery( "body" ).trigger( "update_checkout" )
                                });
                          </script>';
    		    }
            }
            
            WC()->cart->calculate_totals();
        endif;
    }

	// Check custom fields validation
	add_action('woocommerce_checkout_process', 'carrier_checkout_process');
	function carrier_checkout_process() {
	    if( isset( $_POST['_masfinca_store'] ) && empty( $_POST['_masfinca_store'] ) )
	        wc_add_notice( ( "Debes seleccionar tu <strong>tienda más cercana</strong>." ), "error" );
	}

	// Save custom fields to order meta data
	add_action( 'woocommerce_checkout_update_order_meta', 'update_masfinca_store_in_order_proccess', 30, 1 );
	function update_masfinca_store_in_order_proccess( $order_id ) {
	    
	    $order = wc_get_order( $order_id );
	    
	    if( isset( $_POST['_masfinca_store'] ) && !empty( $_POST['_masfinca_store'] ) ) {
	        $order->update_meta_data('_masfinca_store', sanitize_text_field( $_POST['_masfinca_store'] ) );
	    }
	    
	    $order->save();
	    
	}
	
	// define the woocommerce_email_after_order_table callback 
	add_action( 'woocommerce_email_after_order_table', 'add_masfinca_store_info_in_order_mail', 10, 4 );
    function add_masfinca_store_info_in_order_mail( $order, $sent_to_admin, $plain_text, $email ) { 
        
        $masfinca_store = get_post_meta($order->get_id(), '_masfinca_store', true);
        
        if( isset($masfinca_store) && !empty($masfinca_store) ) :
            echo '<p><b>' . __('Tienda seleccionada: ', 'masfinca_pickup') . '</b>' . $masfinca_store . '</p>';
        endif;
        
    };
    
    add_action( 'woocommerce_before_order_itemmeta', 'add_mafinca_store_info_in_admin_order_data' );
    add_action( 'woocommerce_admin_order_data_after_shipping_address', 'add_mafinca_store_info_in_admin_order_data', 10, 3 );
    function add_mafinca_store_info_in_admin_order_data() {
        global $post;
        $masfinca_store = get_post_meta($post->ID, '_masfinca_store', true);
        
        // var_dump( class_exists('PHPMailer\PHPMailer\PHPMailer') );
        
        if( isset($masfinca_store) && !empty($masfinca_store) ) :
            echo '<p><b>' . __('Tienda seleccionada: ', 'masfinca_pickup') . '</b>' . $masfinca_store . '</p>';
        endif;
    }

 ?>