<?php 

	if( !function_exists('send_pickup_coupon_email_when_order_completed') ) {
		add_action( 'woocommerce_order_status_completed', 'send_pickup_coupon_email_when_order_completed');
		function send_pickup_coupon_email_when_order_completed( $order_id ) {
    
            // Get order info
            $order = wc_get_order( $order_id );
			$query_user_key = '_customer_user';
			$customer_user = $order->get_customer_id();

			// Si el usuario que compro lo hizo como invitado obtener el correo de facturacion para hacer la validacion
			if( $order->get_customer_id() == 0 ) {
				$query_user_key = '_billing_email';
				$customer_user = $order->get_billing_email();
			}

			// Get total completed orders of customer user with "Recoger en tienda" shipping method
			$total_orders = masfinca_get_pickup_orders($query_user_key, $customer_user);

			if ( $total_orders < 2 ) {

				// Type: fixed_cart, percent, fixed_product, percent_product
				$discount_type = 'percent';

				// Create coupon code with three letters + order_id + first letter of customer name
				$coupon_code = 'PPM' . $order->get_id() . $order->get_billing_first_name()[0];

				// Create coupon amount
				$amount = '5';

				/*Set expiration_date*/
				$created_date = $order->get_date_created()->format('Y-m-d');
				$expiration_date = date('Y-m-d', strtotime($created_date. ' + 2 months'));

				// Crate coupon data to insert in DB
				$coupon = array(
					'post_title' => $coupon_code,
					'post_content' => '',
					'post_status' => 'publish',
					'post_author' => 1,
					'post_type'		=> 'shop_coupon'
				);

				// Insert coupon in DB Posts
				$new_coupon_id = wp_insert_post( $coupon );

				// Add meta fields to coupon post
				update_post_meta( $new_coupon_id, 'shipping_method', 'masfinca_pickup' );
				update_post_meta( $new_coupon_id, 'discount_type', $discount_type );
				update_post_meta( $new_coupon_id, 'coupon_amount', $amount );
				update_post_meta( $new_coupon_id, 'customer_email', $order->get_billing_email() );
				update_post_meta( $new_coupon_id, 'individual_use', 'yes' );
				update_post_meta( $new_coupon_id, 'product_ids', '' );
				update_post_meta( $new_coupon_id, 'exclude_product_ids', '' );
				update_post_meta( $new_coupon_id, 'usage_limit', '1' );
				update_post_meta( $new_coupon_id, 'usage_limit_per_user', '1' );
				update_post_meta( $new_coupon_id, 'apply_before_tax', 'yes' );
				update_post_meta( $new_coupon_id, 'exclude_sale_items', 'yes' );
				update_post_meta( $new_coupon_id, 'free_shipping', 'no' );
				update_post_meta( $new_coupon_id, 'expiry_date', $expiration_date );
				
				if( !class_exists('PHPMailer\PHPMailer\PHPMailer') ) {
                	require_once 'phpmailer/src/OAuth.php';
                	require_once 'phpmailer/src/PHPMailer.php';
                	require_once 'phpmailer/src/Exception.php';
                    require_once 'phpmailer/src/SMTP.php';
                	require_once 'phpmailer/src/POP3.php';
                }
                
				$mail = new MyPHPMailer\MyPHPMailer\PHPMailer();

				// Settings: From email & From name of mail.
				$mail->From = "comunicaciones@pruebasecore.com"; // From send email (View in mail dashboard)
				$mail->FromName = "Petmas Masfinca";

				$mail->AddAddress( $order->get_billing_email() ); // Email address to send the mail
				$mail->IsHTML(true); // Send Email as HTML
				$mail->Subject = "Descuento en tu proxima compra - PickUp - petmas.masfinca.com"; // Email title.

				// Load template as Email body
				ob_start();
				include(dirname(__FILE__) . '/templates/email-coupon.php'); //Require wp load
				$body = ob_get_clean();
				$mail->Body = $body; // Message to send
				//$mail->CharSet = 'UTF-8';
				$exito = $mail->Send(); // Send email.
			}

		}
	}

 ?>