<?php

/* ======================================================== */
/*ENVIAR CORREO CON CUPON DE DESCUENTO DE REBATE*/
/* ======================================================== */
/* ======================================================== */
if( !function_exists('send_coupon_email_completed_order') ) {
	add_action( 'woocommerce_order_status_completed', 'send_coupon_email_completed_order');
	function send_coupon_email_completed_order( $order_id ) {

		// Crear keys para validar si los usuarios han comprado

		$order = wc_get_order( $order_id );
		$query_key = '_customer_user';
		$customer_user = $order->get_customer_id();

		// Si el usuario que compro lo hizo como invitado obtener el correo de facturacion para hacer la validacion
		if( $order->get_customer_id() == 0 ) {
			$query_key = '_billing_email';
			$customer_user = $order->get_billing_email();
		}

		// Obtener todos los pedidos completados del usuario que realizo la compra
		$customer_orders = get_posts( array(
			'numberposts' => -1,
			'meta_key'    => $query_key,
			'meta_value'  => $customer_user,
			'post_type'   => 'shop_order', // WC orders post type
			'post_status' => 'wc-completed' // Only orders with status "completed"
		) );

		// Guardar en una variable el numero de pedidos completados del usuario
		$total_customer_orders = count( $customer_orders );


		// Crear variables globales para validacion de condiciones
		$order_amount = $order->get_total();
		$coupon_apply = 'no_aplica';
		$image_url = 'https://petmas.masfinca.com/wp-content/uploads/2020/02/coupon-cliente-rebate.jpg'; // get_home_url();
		$coupon_code = 'PT' . $order->get_id() . $order->get_billing_first_name()[0];

		if( $order_amount >= 80000 && $order_amount < 201000 ) {

			$coupon_apply = 'aplica';
			$amount = '5'; // Amount

		} else if( $order_amount >= 201000 && $order_amount < 401000 ) {

			$coupon_apply = 'aplica';
			$amount = '6'; // Amount

		} else if( $order_amount >= 401000 && $order_amount < 601000 ) {

			$coupon_apply = 'aplica';
			$amount = '7'; // Amount

		} else if( $order_amount >= 601000 ) {

			$coupon_apply = 'aplica';
			$amount = '8'; // Amount

		}

		if( $coupon_apply != 'no_aplica' ) {

			$discount_type = 'percent'; // Type: fixed_cart, percent, fixed_product, percent_product

			$coupon = array(
				'post_title' => $coupon_code,
				'post_content' => '',
				'post_status' => 'publish',
				'post_author' => 1,
				'post_type'		=> 'shop_coupon'
			);

			$new_coupon_id = wp_insert_post( $coupon );

			/*Set expiration_date*/
			$created_date = $order->get_date_created()->format('Y-m-d');
			$expiration_date = date('Y-m-d', strtotime($created_date. ' + 40 days'));

			// Add meta
			update_post_meta( $new_coupon_id, 'discount_type', $discount_type );
			update_post_meta( $new_coupon_id, 'coupon_amount', $amount );
			update_post_meta( $new_coupon_id, 'customer_email', $order->get_billing_email() );
			update_post_meta( $new_coupon_id, 'individual_use', 'yes' );
			update_post_meta( $new_coupon_id, 'product_ids', '' );
			update_post_meta( $new_coupon_id, 'exclude_product_ids', '' );
			update_post_meta( $new_coupon_id, 'usage_limit', '1' );
			update_post_meta( $new_coupon_id, 'usage_limit_per_user', '1' );
			update_post_meta( $new_coupon_id, 'expiry_date', $expiration_date );
			update_post_meta( $new_coupon_id, 'apply_before_tax', 'yes' );
			update_post_meta( $new_coupon_id, 'exclude_sale_items', 'yes' );
			update_post_meta( $new_coupon_id, 'free_shipping', 'no' );

			// These must be at the top of your script, not inside a function
			//use PHPMailer\PHPMailer\PHPMailer;
			//use PHPMailer\PHPMailer\Exception;

			//Load composer's autoloader
			$mail_rebate = new PHPMailer\PHPMailer\PHPMailer();

			//Con estas pocas l赤neas iniciamos una conexi車n con el SMTP. Lo que ahora deber赤amos hacer, es configurar el mensaje a enviar, el //From, etc.
			$mail_rebate->From = "comunicaciones@masfinca.com"; // Desde donde enviamos (Para mostrar)
			$mail_rebate->FromName = "Petmas Masfinca";

			//Estas dos l赤neas, cumplir赤an la funci車n de encabezado (En mail() usado de esta forma: ※From: Nombre <correo@dominio.com>§) de //correo.
			$mail_rebate->AddAddress( $order->get_billing_email() ); // Esta es la direcci車n a donde enviamos
			$mail_rebate->IsHTML(true); // El correo se env赤a como HTML
			$mail_rebate->Subject = "Descuento en tu proxima compra - petmas.masfinca.com"; // Este es el titulo del email.

			// Si se cumple con las condiciones agregar la imagen del cupon al correo
			ob_start();
			include(dirname(__FILE__) . '/templates/email-coupon.php'); //Require wp load
			$body = ob_get_clean();
			$mail_rebate->Body = $body; // Mensaje a enviar
			//$mail_rebate->CharSet = 'UTF-8';
			$exito = $mail_rebate->Send(); // Env赤a el correo.

		}

	}
}

?>