<?php

    // Hook for adding admin menus
    add_action('admin_menu', 'woo_ptf_form_menu');
    
    // action function for above hook
    function woo_ptf_form_menu() {
         add_submenu_page(
            'woocommerce',
            __( 'Categorías en ofertas', WOOPTF_NS ),
            __( 'Categorías en ofertas',WOOPTF_NS ),
            'manage_options',
            'woo-ptf-setting',
            'woo_ptf_settings',
            ''
        );
    }
    
    function woo_ptf_settings() {
        ob_start();
        include(dirname(__DIR__, 1) . '/templates/settings.php');
        $content = ob_get_clean();
        echo $content;
    }
    
    add_action('admin_init','woo_custom_buy_form_register_fields');
    function woo_custom_buy_form_register_fields(){
        register_setting('woo_ptf_settings_group', '__ptf_in_category_01');
        register_setting('woo_ptf_settings_group', '__ptf_in_category_02');
    	register_setting('woo_ptf_settings_group', '__ptf_in_category_03');
        register_setting('woo_ptf_settings_group', '__ptf_to_category');
        register_setting('woo_ptf_settings_group', '__ptf_date_init');
        register_setting('woo_ptf_settings_group', '__ptf_date_finish');
    }

    function enqueue_select2_jquery() {
        global $pagenow;

        if( 'admin.php' == $pagenow && $_GET['page'] == 'woo-ptf-setting' ) { 

            wp_register_style( 'select2css', 'https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css', false, '1.0', 'all' );
            wp_enqueue_style( 'select2css' );

            wp_register_script( 'select2', 'https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js', array( 'jquery' ), '1.0', true );            
            wp_enqueue_script( 'select2' );

            wp_register_script( 'select2', 'https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js', array( 'jquery' ), '1.0', true );            
            wp_enqueue_script( 'select2' );

            wp_register_script( 'wptf-script', WOOPTF_URL . 'templates/script.js', array( 'jquery' ), '1.0', true );
            wp_enqueue_script( 'wptf-script' );

        }
    }
    add_action( 'admin_enqueue_scripts', 'enqueue_select2_jquery' );
    
    if( !function_exists('woo_categories_list') ) {
        function woo_categories_list() {

            $taxonomy     = 'product_cat';
            $orderby      = 'name';  
            $show_count   = 0;      // 1 for yes, 0 for no
            $pad_counts   = 0;      // 1 for yes, 0 for no
            $hierarchical = 1;      // 1 for yes, 0 for no  
            $title        = '';  
            $empty        = 0;

            $args = array(
                'taxonomy'     => $taxonomy,
                'orderby'      => $orderby,
                'show_count'   => $show_count,
                'pad_counts'   => $pad_counts,
                'hierarchical' => $hierarchical,
                'title_li'     => $title,
                'hide_empty'   => $empty
            );
            $all_categories = get_categories( $args );
            
            return $all_categories;
        }
    }
    
    add_action( 'admin_head', 'woo_add_admin_styles' );
    function woo_add_admin_styles() {
        global $pagenow;
        if( 'admin.php' == $pagenow && $_GET['page'] == 'woo-ptf-setting' ) { ?>
        
            <style>
                table.woo-custom-buy-form tbody th {
                    min-width: 220px
                }
                table.woo-custom-buy-form tbody td {
                    width: 200px;
                }
                    table.woo-custom-buy-form select {
                        min-width: 250px;
                        width: 100%;
                    }
            </style>
        
        <?php }
    }

?>